Subject: bug#50731: `progress-reporter-update' docstring and `backward-sexp' interaction

From: Eli Zaretskii <[email-masked]>
Date: Wed, 22 Sep 2021 10:37:24 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Tue, 21 Sep 2021 23:52:58 -0700
> 
>     If REPORTER is a numerical progress reporter---i.e. if it was
>      made using non-nil MIN-VALUE and MAX-VALUE arguments to
>      `make-progress-reporter'---then VALUE should be a number between
>      MIN-VALUE and MAX-VALUE.
> 
> If I place point on the space after "i.e." on the first row, and type
> C-M-b (backward-sexp), point ends up before "reporter".  (This happens
> in `emacs-lisp-mode', but not in `message-mode'; `message-mode' seems to
> have no concept of an abbreviation and lands on the "e".)
> 
> This in turn leads to checkdoc flagging this as a mistake, and asks you
> to put two spaces after dot.

Why does it do that? because it doesn't recognize "i.e." as something
that doesn't end a sentence?  And if so, how does the "---" thing come
into play here?

> A) We should support the above convention of using three dashes in
>    `backward-sexp'.  (This is the rough ASCII equivalent of an em dash.)
> 
> B) We should just not use the above convention in
>    `progress-reporter-update'.

None of the above?  I guess I don't yet understand the root cause for
the problem.